<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\Matrix\Functions</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_adjoint" title="adjoint ::Return the adjoint of this matrix
The adjugate, classical adjoint, or adjunct of a square matrix is the transpose of its cofactor matrix.">
            <span class="description">Return the adjoint of this matrix
The adjugate, classical adjoint, or adjunct of a square matrix is the transpose of its cofactor matrix.</span><pre>adjoint</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_antidiagonal" title="antidiagonal ::Return the antidiagonal of this matrix">
            <span class="description">Return the antidiagonal of this matrix</span><pre>antidiagonal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_cofactors" title="cofactors ::Return the cofactors of this matrix">
            <span class="description">Return the cofactors of this matrix</span><pre>cofactors</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_determinant" title="determinant ::Return the determinant of this matrix">
            <span class="description">Return the determinant of this matrix</span><pre>determinant</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_diagonal" title="diagonal ::Return the diagonal of this matrix">
            <span class="description">Return the diagonal of this matrix</span><pre>diagonal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_identity" title="identity ::Return the identity matrix
The identity matrix, or sometimes ambiguously called a unit matrix, of size n is the n × n square matrix
  with ones on the main diagonal and zeros elsewhere">
            <span class="description">Return the identity matrix
The identity matrix, or sometimes ambiguously called a unit matrix, of size n is the n × n square matrix
  with ones on the main diagonal and zeros elsewhere</span><pre>identity</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_inverse" title="inverse ::Return the inverse of this matrix">
            <span class="description">Return the inverse of this matrix</span><pre>inverse</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_minors" title="minors ::Return the minors of the matrix
The minor of a matrix A is the determinant of some smaller square matrix, cut down from A by removing one or
    more of its rows or columns.">
            <span class="description">Return the minors of the matrix
The minor of a matrix A is the determinant of some smaller square matrix, cut down from A by removing one or
    more of its rows or columns.</span><pre>minors</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_trace" title="trace ::Return the trace of this matrix
The trace is defined as the sum of the elements on the main diagonal (the diagonal from the upper left to the lower right)
    of the matrix">
            <span class="description">Return the trace of this matrix
The trace is defined as the sum of the elements on the main diagonal (the diagonal from the upper left to the lower right)
    of the matrix</span><pre>trace</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_transpose" title="transpose ::Return the transpose of this matrix">
            <span class="description">Return the transpose of this matrix</span><pre>transpose</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected">
                            <a href="#method_getMinors" title="getMinors ::Calculate the minors of the matrix">
                                <span class="description">Calculate the minors of the matrix</span><pre>getMinors</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_getAdjoint" title="getAdjoint ::Calculate the adjoint of the matrix">
                                <span class="description">Calculate the adjoint of the matrix</span><pre>getAdjoint</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getCofactors" title="getCofactors ::Calculate the cofactors of the matrix">
                                <span class="description">Calculate the cofactors of the matrix</span><pre>getCofactors</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getDeterminant" title="getDeterminant ::Calculate the determinant of the matrix">
                                <span class="description">Calculate the determinant of the matrix</span><pre>getDeterminant</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getDeterminantSegment" title="getDeterminantSegment ::">
                                <span class="description"></span><pre>getDeterminantSegment</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Functions</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_adjoint"></a>
                        <div class="element clickable methodpublic method_adjoint" data-toggle="collapse" data-target=".method_adjoint .collapse">
                            <h2>Return the adjoint of this matrix
The adjugate, classical adjoint, or adjunct of a square matrix is the transpose of its cofactor matrix.</h2>
                            <pre>adjoint(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>The adjugate has sometimes been called the &quot;adjoint&quot;, but today the &quot;adjoint&quot; of a matrix normally refers
to its corresponding adjoint operator, which is its conjugate transpose.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose adjoint we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_antidiagonal"></a>
                        <div class="element clickable methodpublic method_antidiagonal" data-toggle="collapse" data-target=".method_antidiagonal .collapse">
                            <h2>Return the antidiagonal of this matrix</h2>
                            <pre>antidiagonal(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose antidiagonal we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_cofactors"></a>
                        <div class="element clickable methodpublic method_cofactors" data-toggle="collapse" data-target=".method_cofactors .collapse">
                            <h2>Return the cofactors of this matrix</h2>
                            <pre>cofactors(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose cofactors we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_determinant"></a>
                        <div class="element clickable methodpublic method_determinant" data-toggle="collapse" data-target=".method_determinant .collapse">
                            <h2>Return the determinant of this matrix</h2>
                            <pre>determinant(\Matrix\Matrix $matrix): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose determinant we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_diagonal"></a>
                        <div class="element clickable methodpublic method_diagonal" data-toggle="collapse" data-target=".method_diagonal .collapse">
                            <h2>Return the diagonal of this matrix</h2>
                            <pre>diagonal(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose diagonal we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAdjoint"></a>
                        <div class="element clickable methodprivate method_getAdjoint" data-toggle="collapse" data-target=".method_getAdjoint .collapse">
                            <h2>Calculate the adjoint of the matrix</h2>
                            <pre>getAdjoint(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose adjoint we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCofactors"></a>
                        <div class="element clickable methodprivate method_getCofactors" data-toggle="collapse" data-target=".method_getCofactors .collapse">
                            <h2>Calculate the cofactors of the matrix</h2>
                            <pre>getCofactors(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose cofactors we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDeterminant"></a>
                        <div class="element clickable methodprivate method_getDeterminant" data-toggle="collapse" data-target=".method_getDeterminant .collapse">
                            <h2>Calculate the determinant of the matrix</h2>
                            <pre>getDeterminant(\Matrix\Matrix $matrix): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose determinant we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDeterminantSegment"></a>
                        <div class="element clickable methodprivate method_getDeterminantSegment" data-toggle="collapse" data-target=".method_getDeterminantSegment .collapse">
                            <h2>getDeterminantSegment</h2>
                            <pre>getDeterminantSegment(\Matrix\Matrix $matrix,integer $row,integer $column): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$row</h4>
                                                <code>integer</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$column</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getMinors"></a>
                        <div class="element clickable methodprotected method_getMinors" data-toggle="collapse" data-target=".method_getMinors .collapse">
                            <h2>Calculate the minors of the matrix</h2>
                            <pre>getMinors(\Matrix\Matrix $matrix): array&lt;mixed,array&gt;</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose minors we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,array&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_identity"></a>
                        <div class="element clickable methodpublic method_identity" data-toggle="collapse" data-target=".method_identity .collapse">
                            <h2>Return the identity matrix
The identity matrix, or sometimes ambiguously called a unit matrix, of size n is the n × n square matrix
  with ones on the main diagonal and zeros elsewhere</h2>
                            <pre>identity(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose identity we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_inverse"></a>
                        <div class="element clickable methodpublic method_inverse" data-toggle="collapse" data-target=".method_inverse .collapse">
                            <h2>Return the inverse of this matrix</h2>
                            <pre>inverse(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose inverse we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_minors"></a>
                        <div class="element clickable methodpublic method_minors" data-toggle="collapse" data-target=".method_minors .collapse">
                            <h2>Return the minors of the matrix
The minor of a matrix A is the determinant of some smaller square matrix, cut down from A by removing one or
    more of its rows or columns.</h2>
                            <pre>minors(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Minors obtained by removing just one row and one column from square matrices (first minors) are required for
calculating matrix cofactors, which in turn are useful for computing both the determinant and inverse of
square matrices.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose minors we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_trace"></a>
                        <div class="element clickable methodpublic method_trace" data-toggle="collapse" data-target=".method_trace .collapse">
                            <h2>Return the trace of this matrix
The trace is defined as the sum of the elements on the main diagonal (the diagonal from the upper left to the lower right)
    of the matrix</h2>
                            <pre>trace(\Matrix\Matrix $matrix): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose trace we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_transpose"></a>
                        <div class="element clickable methodpublic method_transpose" data-toggle="collapse" data-target=".method_transpose .collapse">
                            <h2>Return the transpose of this matrix</h2>
                            <pre>transpose(\Matrix\Matrix $matrix): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The matrix whose transpose we wish to calculate</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\Matrix\Functions"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/Matrix.html">Matrix</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/Matrix.Functions.html">Functions</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:44 +0000.<br/>
    </footer></body>
</html>
